# studio::DuckDrag_Base Class Reference

`#include <duckmatic.h>`

Inheritance diagram for studio::DuckDrag_Base:

List of all members.

## Public Member Functions

virtual void | begin_duck_drag (Duckmatic *duckmatic, const synfig::Vector &begin)=0
virtual bool | end_duck_drag (Duckmatic *duckmatic)=0
virtual void | duck_drag (Duckmatic *duckmatic, const synfig::Vector &vector)=0

## Member Function Documentation

virtual void studio::DuckDrag_Base::begin_duck_drag | ( | Duckmatic * | duckmatic,
|  | const synfig::Vector & | begin |
| ) |  |  | `[pure virtual]`

Implemented in studio::DuckDrag_Translate.

virtual bool studio::DuckDrag_Base::end_duck_drag | ( | Duckmatic * | duckmatic | ) | `[pure virtual]`

Implemented in studio::DuckDrag_Translate.

virtual void studio::DuckDrag_Base::duck_drag | ( | Duckmatic * | duckmatic,
|  | const synfig::Vector & | vector |
| ) |  |  | `[pure virtual]`

Implemented in studio::DuckDrag_Translate.

The documentation for this class was generated from the following file:

- duckmatic.h